
# Interface: IEventCallbacks ‹**T**›

## Type parameters

▪ **T**

## Hierarchy

* **IEventCallbacks**

## Implemented by

* [EventCallbacks](../classes/eventcallbacks.md)

## Index

### Properties

* [onError](ieventcallbacks.md#onerror)
* [onSuccess](ieventcallbacks.md#onsuccess)

## Properties

###  onError

• **onError**: *function*

#### Type declaration:

▸ (`error?`: any): *void*

**Parameters:**

Name | Type |
------ | ------ |
`error?` | any |

___

###  onSuccess

• **onSuccess**: *function*

#### Type declaration:

▸ (`response?`: T): *void*

**Parameters:**

Name | Type |
------ | ------ |
`response?` | T |
